Package ru.bitel.bgbilling.plugins.sqleditor.server.bean

# Class SqlHistoryDao

java.lang.Object
ru.bitel.bgbilling.plugins.sqleditor.server.bean.SqlHistoryDao

public class SqlHistoryDao extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SqlHistoryDao(Connection connection)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteByQueryInfo(Date requestDate, String queryBody)`
  `void`
  `deleteRequest(int historyRequestId)`
  `void`
  `deleteRequests(List<Integer> requestIds)`
  `SqlHistoryUserConfig`
  `getHistoryUserConfig(int userId)`
  `List<SqlHistoryRequest>`
  `getRequestListByUser(int userId, Page page)`
  `void`
  `updateHistoryUserConfig(SqlHistoryUserConfig historyUserConfig)`
  `void`
  `updateRequest(SqlHistoryRequest request)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SqlHistoryDao

    public SqlHistoryDao(Connection connection)

- ## Method Details

  - ### getHistoryUserConfig

    public SqlHistoryUserConfig getHistoryUserConfig(int userId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateHistoryUserConfig

    public void updateHistoryUserConfig(SqlHistoryUserConfig historyUserConfig) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getRequestListByUser

    public List<SqlHistoryRequest> getRequestListByUser(int userId, Page page) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateRequest

    public void updateRequest(SqlHistoryRequest request) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteRequests

    public void deleteRequests(List<Integer> requestIds) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteRequest

    public void deleteRequest(int historyRequestId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteByQueryInfo

    public void deleteByQueryInfo(Date requestDate, String queryBody) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`